## q2-phylogeny 2024.2.0

=== Makefile ===
.PHONY: all lint test test-cov install dev clean distclean

PYTHON ?= python

all: ;

lint:
	q2lint
	flake8

test: all
	py.test

test-cov: all
	py.test --cov=q2_phylogeny

install: all
	$(PYTHON) setup.py install

dev: all
	pip install -e .

clean: distclean

distclean: ;

## q2-phylogeny 2021.4.0

=== debian/changelog ===
q2-phylogeny (2021.4.0-2) unstable; urgency=medium

  * Team upload.
    + Source-only upload for testing migration

 -- Nilesh Patra <nilesh@debian.org>  Sat, 06 Nov 2021 19:52:48 +0530

q2-phylogeny (2021.4.0-1) unstable; urgency=medium

  * Initial release (Closes: #991240)

 -- Andreas Tille <tille@debian.org>  Sun, 18 Jul 2021 18:56:23 +0530

=== debian/control ===
Source: q2-phylogeny
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3,
               python3-setuptools
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/med-team/q2-phylogeny
Vcs-Git: https://salsa.debian.org/med-team/q2-phylogeny.git
Homepage: https://qiime2.org/
Rules-Requires-Root: no

Package: q2-phylogeny
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends},
         python3-skbio,
         python3-setuptools,
         qiime,
         fasttree,
         iqtree,
         mafft,
         raxml,
         q2-types,
         q2-alignment
Description: QIIME 2 plugin for phylogeny
 QIIME 2 plugin for phylogenetic reconstruction, and operations on
 phylogenetic trees.

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1
export LC_ALL=C.UTF-8


# For testing, we need .egg-info so the entry points are available.
export PYBUILD_BEFORE_TEST=python{version} setup.py develop --install-dir {build_dir}
# Delete .egg-info and other files that were generated along with .egg-info
export PYBUILD_BEFORE_INSTALL=rm -rvf {build_dir}/q2-phylogeny.egg-* {build_dir}/site.py \
		{build_dir}/.coverage* {build_dir}/easy-install.pth


%:
	dh $@ --with python3 --buildsystem=pybuild

#FIXME:
override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	echo "I: Delaying true testing to autopkgtests since QIIME2 module cannot be registered at build time"
endif

## q2-phylogeny 2022.2.0

=== debian/changelog ===
q2-phylogeny (2022.2.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Add versioned Depends from q2-* packages
  * iqtree in Debian is iqtree version 2 and the binary is named accordingly
  * Fix spelling of fasttreeMP

 -- Andreas Tille <tille@debian.org>  Wed, 20 Jul 2022 16:13:28 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                dh-python,
                python3,
                python3-setuptools
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/med-team/q2-phylogeny
 Vcs-Git: https://salsa.debian.org/med-team/q2-phylogeny.git
 Homepage: https://qiime2.org/
@@ -25,8 +25,8 @@
          iqtree,
          mafft,
          raxml,
-         q2-types,
-         q2-alignment
+         q2-types (>= 2022.2.0),
+         q2-alignment (>= 2022.2.0)
 Description: QIIME 2 plugin for phylogeny
  QIIME 2 plugin for phylogenetic reconstruction, and operations on
  phylogenetic trees.

## q2-phylogeny 2022.11.1

=== debian/changelog ===
q2-phylogeny (2022.11.1-3) unstable; urgency=medium

  * Restrict architectures to any-amd64
    Closes: #1029916

 -- Andreas Tille <tille@debian.org>  Wed, 01 Feb 2023 15:25:31 +0100

q2-phylogeny (2022.11.1-2) unstable; urgency=medium

  * Upload to unstable
  * Restrict architectures to any-amd64 any-i386

 -- Andreas Tille <tille@debian.org>  Tue, 24 Jan 2023 18:52:02 +0100

q2-phylogeny (2022.11.1-1) experimental; urgency=medium

  * New upstream version
  * Bump versioned Depends

 -- Andreas Tille <tille@debian.org>  Sat, 14 Jan 2023 16:39:48 +0100

q2-phylogeny (2022.8.0-3) unstable; urgency=high

  * Team Upload.
  * Change arch to all, as this installs arch-indep files
  * Bump Standards-Version to 4.6.2 (no changes needed)

 -- Nilesh Patra <nilesh@debian.org>  Wed, 04 Jan 2023 20:21:31 +0530

q2-phylogeny (2022.8.0-2) unstable; urgency=medium

  * Build-Depends: iqtree + Architecture: any
    This will prevent the attempt to run debci on this package for those
    architectures where iqtree is not available (all except amd64 and i386)

 -- Andreas Tille <tille@debian.org>  Fri, 30 Sep 2022 08:24:29 +0200

q2-phylogeny (2022.8.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2022.8.0
  * Refresh patch
  * Update dependency on qiime/q2-* >= 2022.8.0

 -- Mohammed Bilal <mdbilal@disroot.org>  Wed, 07 Sep 2022 11:14:28 +0000

=== debian/control ===
--- 
+++ 
@@ -6,15 +6,16 @@
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3,
-               python3-setuptools
-Standards-Version: 4.6.1
+               python3-setuptools,
+               iqtree
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/q2-phylogeny
 Vcs-Git: https://salsa.debian.org/med-team/q2-phylogeny.git
 Homepage: https://qiime2.org/
 Rules-Requires-Root: no
 
 Package: q2-phylogeny
-Architecture: all
+Architecture: any-amd64
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          ${python3:Depends},
@@ -25,8 +26,8 @@
          iqtree,
          mafft,
          raxml,
-         q2-types (>= 2022.2.0),
-         q2-alignment (>= 2022.2.0)
+         q2-types (>= 2022.11.1),
+         q2-alignment (>= 2022.11.1)
 Description: QIIME 2 plugin for phylogeny
  QIIME 2 plugin for phylogenetic reconstruction, and operations on
  phylogenetic trees.

## q2-phylogeny 2024.2.0

=== debian/changelog ===
q2-phylogeny (2024.2.0-1ubuntu1) oracular; urgency=medium

  * d/p/python3.12.patch: add support for python 3.12

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Mon, 03 Jun 2024 12:30:31 -0300

q2-phylogeny (2024.2.0-1) unstable; urgency=medium

  * New upstream version
  * Autopkgtest for all supported Python3 versions
  * Regenerate debian/control from debian/control.in (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 18 Feb 2024 15:21:19 +0100

q2-phylogeny (2023.9.0-1) unstable; urgency=medium

  * New upstream version
  * Generate debian/control automatically to refresh version number
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Regenerate debian/control from debian/control.in (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 30 Jan 2024 19:43:12 +0100

q2-phylogeny (2023.7.0-1) unstable; urgency=medium

  * New upstream version 2023.7.0
  * skip-test-needing-internet.patch: new.
  * iqtree2.patch: refresh.
  * d/copyright: fix copyright year.
  * d/control: add myself to uploaders.

 -- Étienne Mollier <emollier@debian.org>  Sun, 20 Aug 2023 16:36:53 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,13 @@
+# This file is autogenerated from control.in to update versioned dependencies
 Source: q2-phylogeny
 Section: science
 Priority: optional
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Andreas Tille <tille@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Uploaders: Andreas Tille <tille@debian.org>,
+           Étienne Mollier <emollier@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                python3,
                python3-setuptools,
                iqtree
@@ -26,8 +29,8 @@
          iqtree,
          mafft,
          raxml,
-         q2-types (>= 2022.11.1),
-         q2-alignment (>= 2022.11.1)
+         q2-types (>= 2024.2),
+         q2-alignment (>= 2024.2)
 Description: QIIME 2 plugin for phylogeny
  QIIME 2 plugin for phylogenetic reconstruction, and operations on
  phylogenetic trees.

=== debian/rules ===
--- 
+++ 
@@ -10,9 +10,15 @@
 export PYBUILD_BEFORE_INSTALL=rm -rvf {build_dir}/q2-phylogeny.egg-* {build_dir}/site.py \
 		{build_dir}/.coverage* {build_dir}/easy-install.pth
 
+include /usr/share/dpkg/default.mk
+VERSION_UPSTREAM=$(shell echo $(DEB_VERSION_UPSTREAM) | sed -e 's/\(20[0-9][0-9]\.[0-9]\+\)\..*/\1/')
+
+debian/control: debian/control.in
+	echo "# This file is autogenerated from control.in to update versioned dependencies" > $@
+	sed -e"s/@DEB_VERSION_UPSTREAM@/$(VERSION_UPSTREAM)/g" $< >> $@
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 #FIXME:
 override_dh_auto_test:

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
  https://github.com/qiime2/q2-phylogeny/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## q2-phylogeny 2024.5.0

=== debian/changelog ===
q2-phylogeny (2024.5.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Regenerate debian/control from debian/control.in (routine-update)
  * d/patches/configparser.patch: copy from qiime
  * Only build for Python 3.11 until upstream catches up with Python
    3.12.

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 26 Jun 2024 13:22:45 +0200

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,12 @@
 Source: q2-phylogeny
 Section: science
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>,
            Étienne Mollier <emollier@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
-               python3,
+               python3-all,
                python3-setuptools,
                iqtree
 Standards-Version: 4.6.2
@@ -29,8 +28,8 @@
          iqtree,
          mafft,
          raxml,
-         q2-types (>= 2024.2),
-         q2-alignment (>= 2024.2)
+         q2-types (>= 2024.5),
+         q2-alignment (>= 2024.5)
 Description: QIIME 2 plugin for phylogeny
  QIIME 2 plugin for phylogenetic reconstruction, and operations on
  phylogenetic trees.

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,7 @@
 # DH_VERBOSE := 1
 export LC_ALL=C.UTF-8
 
+export PYBUILD_DISABLE=python3.12
 
 # For testing, we need .egg-info so the entry points are available.
 export PYBUILD_BEFORE_TEST=python{version} setup.py develop --install-dir {build_dir}

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, python3-pytest-cov, python3-all
Restrictions: allow-stderr, skip-not-installable
